Get the Runner Allow list
curl --request GET \
--url https://eu1.api.matillion.com/dpc/v1/agents/{agentId}/allowlist \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/agents/{agentId}/allowlist"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/agents/{agentId}/allowlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projects": {
"projects": {
"3fa85f64-5717-4562-b3fc-2c963f66afa6": {
"environments": [
"dev",
"prod"
]
},
"1398aa31-af57-4a6a-9752-27c2e8556c3f": {
"environments": [
"prod"
]
}
}
}
}{
"type": "https://api.matillion.com/problems/bad-request",
"title": "Bad request",
"status": 400,
"detail": "Invalid request format. Please check the parameters supplied.",
"instance": "/v1/agents/{agentId}/allowlist"
}{
"type": "https://api.matillion.com/problems/forbidden",
"title": "Forbidden",
"status": 403,
"detail": "You do not have permission to access this resource.",
"instance": "/v1/agents/{agentId}/allowlist"
}{
"type": "https://api.matillion.com/problems/not-found",
"title": "Not Found",
"status": 404,
"detail": "None found",
"instance": "/v1/agents/{agentId}/allowlist"
}{
"type": "https://api.matillion.com/problems/internal-server-error",
"title": "Internal Server Error",
"status": 500,
"detail": "Unexpected error occurred while processing the request.",
"instance": "/v1/agents/{agentId}/allowlist"
}Runners
Get the Runner Allow list
Get the list of projects the Runner is restricted to only when the runner has the property restrictedAccess set to true.
If restrictedAccess is set to true and the list of projects is empty, then the Runner will not be applicable to be assigned to any project.
If restrictedAccess is set to false for the Runner, then restriction to these projects will not be enforced.
GET
/
v1
/
agents
/
{agentId}
/
allowlist
Get the Runner Allow list
Authorizations
a valid bearer token
Path Parameters
The ID of the runner having the allow list set
Response
Runner allow list successfully retrieved
The list of projects the Runner is scoped to. Each project will be displayed as an object with the Project ID as the key.
Show child attributes
Show child attributes
Example:
{
"projects": {
"3fa85f64-5717-4562-b3fc-2c963f66afa6": { "environments": ["dev", "prod"] },
"1398aa31-af57-4a6a-9752-27c2e8556c3f": { "environments": ["prod"] }
}
}
Was this page helpful?
